Posted to tcl by venks at Sat Jul 14 20:30:46 GMT 2012view pretty

--- kitsh/build.sh                                                                                                                    
+++ kitsh/build.sh                                                                                                                    
@@ -186,16 +186,15 @@
                "${TCLKIT}" installvfs.tcl "${KITTARGET_NAME}" starpack.vfs "${ENABLECOMPRESSION}" || exit 1                          
        else                                                                                                                          
                ## Bootstrap (cannot cross-compile)                                                                                   
                ### Call installer                                                                                                    
                cp kit runkit                                                                                                         
-               echo "set argv [list {${KITTARGET_NAME}} starpack.vfs {${ENABLECOMPRESSION}}]" > setup.tcl                            
+               echo "set argv [list {${KITTARGET_NAME}} `pwd`/starpack.vfs {${ENABLECOMPRESSION}}]" > setup.tcl                      
                echo 'if {[catch { clock seconds }]} { proc clock args { return 0 } }' >> setup.tcl                                   
-               echo 'source installvfs.tcl' >> setup.tcl                                                                             
-                                                                                                                                     
+               echo 'source [file dirname [info script]]/installvfs.tcl' >> setup.tcl                                                
                echo 'Running: echo | ./runkit'                                                                                       
-               echo | ./runkit setup.tcl || exit 1                                                                                   
+               echo | ./runkit `pwd`/setup.tcl || exit 1                                                                             
        fi                                                                                                                            
                                                                                                                                      
        # Cleanup                                                                                                                     
        if [ "${KITTARGET}" = "kitdll" ]; then                                                                                        
                ## Remove built interpreters if we are building KitDLL --                                                             

--- kitsh/buildsrc/kitsh-0.0/installvfs.tcl                                                                                           
+++ kitsh/buildsrc/kitsh-0.0/installvfs.tcl                                                                                           
@@ -13,11 +13,11 @@
 if {[lindex $argv 2] != ""} {                                                                                                        
        set opt_compression [lindex $argv 2]                                                                                          
 }                                                             
                                                                                                                                      
 # Determine what storage mechanism is being used                                                                                     
-set fd [open Makefile.common r]                                                                                                      
+set fd [open [file dirname [info script]]/Makefile.common r]                                                                         
 set data [read $fd]                                                                                                                  
 close $fd                                                                                                                            
                                                                                                                                      
 if {[string match "*KIT_STORAGE_ZIP*" $data]} {                                                                                      
        set tclKitStorage zip